%define branch 1
%{?_branch: %{expand: %%global branch 1}}
%define revision 714066

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %{unstable}
%define dont_strip 1
%endif

Name: soprano
Summary: Soprano (formally known as QRDF) is a library which provides a nice QT interface to RDF.
Version: 3.0
Release: %mkrel 0.%{revision}.3
Epoch: 3
Group: System/Libraries
License: LGPL
URL: http://api.kde.org/kdesupport-api/kdesupport-apidocs/soprano/html/
Source:	soprano-%version.%{revision}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake >= 2.4.5
BuildRequires: redland-devel
BuildRequires: qt4-devel

%description
Soprano (formally known as QRDF) is a library which provides a nice QT interface to RDF storage solutions. 
It has a modular structure which allows to replace the actual RDF storage implementation used. 
Currently two implementations are working. 
The first and most important backend used in Soprano is based on librdf, the Redland RDF Application Framework.
The second backend is the more interesting one as it uses the NEPOMUK-KDE backbone library to connect to a 
NEPOMUK RDF triple service, thus providing a nice interface for applications not aware of Nepomuk services.

#---------------------------------------------------------------------------------

%define libsoprano %mklibname soprano 3

%package -n %libsoprano
Summary: Library for %name
Group: Development/C

%description -n %libsoprano
Soprano (formally known as QRDF) is a library which provides a nice QT interface to RDF storage solutions. 
It has a modular structure which allows to replace the actual RDF storage implementation used. 
Currently two implementations are working. 
The first and most important backend used in Soprano is based on librdf, the Redland RDF Application Framework.
The second backend is the more interesting one as it uses the NEPOMUK-KDE backbone library to connect to a 
NEPOMUK RDF triple service, thus providing a nice interface for applications not aware of Nepomuk services.

%post -n %libsoprano -p /sbin/ldconfig
%postun -n %libsoprano -p /sbin/ldconfig

%files -n %libsoprano
%defattr(-,root,root)
%_libdir/*.so.*
%dir %_libdir/soprano
%_libdir/soprano/*

#---------------------------------------------------------------------------------

%package devel
Summary: Library.
Group: Development/C
Provides: libsoprano-devel
Requires: %libsoprano
Obsoletes: %libsoprano-devel < 3:3.0-0.714066.1

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files devel
%defattr(-,root,root)
%dir %_includedir/soprano/
%_includedir/soprano/*
%_libdir/*.so

#---------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt4 \
%if %unstable
      -DCMAKE_BUILD_TYPE=debugfull 
%endif

%make


%install
rm -rf %buildroot
cd build && make DESTDIR=%buildroot install

%clean 
rm -rf %buildroot



%changelog
* Thu Sep 27 2007 Tiago Salem <salem@mandriva.com.br> 3.0-0.714066.3mdv2008.0
+ Revision: 93396
- Bumping release and fixing Obsoletes tag

* Wed Sep 19 2007 Tiago Salem <salem@mandriva.com.br> 3:3.0-0.714066.2mdv2008.0
+ Revision: 91171
- Making Obsoletes tags versioned

* Tue Sep 18 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3:3.0-0.714066.1mdv2008.0
+ Revision: 89812
- Fix version making it possible to submit

  + Tiago Salem <salem@mandriva.com.br>
    - Revision update to 714066

  + Helio Chissini de Castro <helio@mandriva.com>
    - Upgrade for revision 688549

* Thu Jul 05 2007 Helio Chissini de Castro <helio@mandriva.com> 3:3.0-0.674845.1mdv2008.0
+ Revision: 48592
- Update from revision 674845

* Wed Jun 20 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.0-0.20070614.1mdv2008.0
+ Revision: 41914
- Added proper obsoletes

  + Michael Scherer <misc@mandriva.org>
    - fix url

* Thu Jun 14 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.0-0.20070614mdv2008.0
+ Revision: 39544
- Update from 20070614 svn date
- New svn update
- New package layout

* Mon May 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.0-0.20070514.1mdv2008.0
+ Revision: 26680
- New snapshot

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 2:3.0-0.20070502.4mdv2008.0
+ Revision: 20572
- Fix install

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 2:3.0-0.20070502.3mdv2008.0
+ Revision: 20471
- Remove release
- aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
- Update it

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 2:3.0-0.20070502.2mdv2008.0
+ Revision: 20448
- Add package version date
- New version

